PrettyPrintXMLStreamWriter (Grails 6.0.0)

Package: org.grails.web.xml

## [Java] Class PrettyPrintXMLStreamWriter

- org.grails.web.xml.PrettyPrintXMLStreamWriter

-     public class PrettyPrintXMLStreamWriter
      extends XMLStreamWriter

  A XMLStreamWriter dedicated to create indented/pretty printed output.

  Authors:
    Siegfried Puchbauer
  Since:
    1.1

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `DEFAULT_INDENT_STR` |
    `static java.lang.String` | `NEWLINE` |
    `private boolean` | `doIndent` |
    `private java.lang.String` | `indent` |
    `private int` | `level` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class XMLStreamWriter` | `mode, quoteChar, tagStack, writer`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `PrettyPrintXMLStreamWriter (StreamingMarkupWriter writer)`
    `PrettyPrintXMLStreamWriter (StreamingMarkupWriter writer, java.lang.String indent)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public XMLStreamWriter` | `characters(java.lang.String data)`
    `` | `public XMLStreamWriter` | `end()`
    `` | `protected void` | `endStartTag()`
    `` | `private void` | `indent()`
    `` | `private void` | `newline()`
    `` | `public XMLStreamWriter` | `startDocument(java.lang.String encoding, java.lang.String version)`
    `` | `public XMLStreamWriter` | `startNode(java.lang.String tag)`
    `` | `protected void` | `startTag()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class XMLStreamWriter` | `attribute, characters, end, endStartTag, startDocument, startNode, startTag`

- - ### Field Detail

    - #### public static final java.lang.String DEFAULT_INDENT_STR

    - #### public static final java.lang.String NEWLINE

    - #### private boolean doIndent

    - #### private final java.lang.String indent

    - #### private int level

  - ### Constructor Detail

    - #### public PrettyPrintXMLStreamWriter(StreamingMarkupWriter writer)

    - #### public PrettyPrintXMLStreamWriter(StreamingMarkupWriter writer, java.lang.String indent)

  - ### Method Detail

    - #### @java.lang.Override public XMLStreamWriter characters(java.lang.String data)

    - #### @java.lang.Override public XMLStreamWriter end()

    - #### @java.lang.Override protected void endStartTag()

    - #### private void indent()

    - #### private void newline()

    - #### @java.lang.Override public XMLStreamWriter startDocument(java.lang.String encoding, java.lang.String version)

    - #### @java.lang.Override public XMLStreamWriter startNode(java.lang.String tag)

    - #### @java.lang.Override protected void startTag()